/*
 *	TXX 2.0 EXTENSIONS -- External procedure interface for TXX
 *	-- Extended Version --
 *	Copyright (C) 1997,1998 Nils M. Holm
 *	See the file txtrn.t for details.
 *	See the file LICENSE for conditions of use.
 */

extern void	p_open(), p_close(), p_erase(), p_select(),
		p_reads(), p_writes(), p_newline(), p_aton(),
		p_ntoa(), p_pack(), p_unpack(),
		p_readpacked(), p_writepacked(), p_reposition(),
		p_rename(), p_memcopy(), p_memcomp();

#ifdef VIO_EXT
extern void	p_vio_init(), p_vio_end(), p_vio_reinit(), p_vio_sync(),
		p_vio_putc(), p_vio_puts(), p_vio_clear(), p_vio_clreol(),
		p_vio_color(), p_vio_query(), p_vio_getc(), p_vio_move(),
		p_vio_index(), p_vio_revind();
#endif

#ifdef GRAPHICS_EXT
extern void	p_g_init(), p_g_end(), p_g_event(), p_g_wait(),
		p_g_clear(), p_g_point(), p_g_line(), p_g_box(),
		p_g_sync(), p_g_reshaped(), p_g_putc(), p_g_puts(),
		p_g_fontsize(), p_g_putv(), p_g_copyfont();
#endif

void	(*Primitives[])() = {
	p_open,
	p_close,
	p_erase,
	p_select,
	p_reads,
	p_writes,
	p_newline,
	p_aton,
	p_ntoa,
	p_pack,
	p_unpack,
#ifdef BASIC_EXT
	p_readpacked,
	p_writepacked,
	p_reposition,
	p_rename,
	p_memcopy,
	p_memcomp,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
#else
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0,
#endif
#ifdef VIO_EXT
	p_vio_init,
	p_vio_end,
	p_vio_reinit,
	p_vio_sync,
	p_vio_putc,
	p_vio_puts,
	p_vio_clear,
	p_vio_clreol,
	p_vio_color,
	p_vio_query,
	p_vio_getc,
	p_vio_move,
	p_vio_index,
	p_vio_revind,
	0, 0, 0, 0, 0, 0,
#else
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
#endif
#ifdef GRAPHICS_EXT
	p_g_init,
	p_g_end,
	p_g_event,
	p_g_wait,
	p_g_clear,
	p_g_point,
	p_g_line,
	p_g_box,
	p_g_sync,
	p_g_reshaped,
	p_g_putc,
	p_g_puts,
	p_g_fontsize,
	p_g_putv,
	p_g_copyfont,
	0, 0, 0, 0,
#else
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0,
#endif
	0
};

